Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 23193 - Florence beta1: 2.4.0 kernel is missing the i/o stats patch
Florence beta1: 2.4.0 kernel is missing the i/o stats patch
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brock Organ
Florence Beta-3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-02 18:23 EST by Chris Evans
Modified: 2007-04-18 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-18 22:16:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2001-01-02 18:23:59 EST
To demonstrate:
"cat /proc/partitions"
Try it in RH7.0 and RH7.1beta. You'll see that RH7.1beta is missing the
enhanced i/o stats patch.
Comment 1 Glen Foster 2001-01-11 16:14:02 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 2 Stephen Tweedie 2001-01-12 07:35:45 EST
Will deal with this, but I'm away next week so it will be the week after at the
earliest.
Comment 3 Preston Brown 2001-01-18 17:44:47 EST
patch was also given to Phil for inclusion.  Needs attention guys...
Comment 4 Phil Copeland 2001-01-18 18:39:24 EST
This is in the cvs kernel-2.4 tree
It required a bit of hand editing as some variable names have changed but it's
in the tree. I'm currently building a kernel to make sure that it doesn't oops
or something equally horrid

Phil
=--=
Comment 5 Phil Copeland 2001-01-18 22:16:41 EST
Kernel compiles.
Installed and run, at face value, looks stable

[root@bomb /root]# uname -a 
Linux bomb 2.4.0-0.99.5 #1 Thu Jan 18 18:06:09 EST 2001 i686 unknown

[root@bomb /root]# cat /proc/partitions 
major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect wuse
running use aveq

   3     0    9820440 hda 25392 150384 429720 202840 1469 371 13398 80490 11
195570 283330
   3     1    3152488 hda1 24 0 30 260 0 0 0 0 0 260 260
   3     2     529200 hda2 3387 3601 55898 36360 331 152 3904 23450 5 33900
59810
   3     3     264600 hda3 2 0 16 40 5 15 160 120 0 70 160
   3     4          1 hda4 0 0 0 0 0 0 0 0 0 0 0
   3     5     264568 hda5 1176 7343 17038 3360 81 31 224 2360 0 3940 5720
   3     6    2101648 hda6 12931 68275 197518 96700 172 47 1620 41440 6 94000
138140
   3     7     529168 hda7 3255 16684 41006 26830 867 108 7422 13030 0 34120
39860
   3     8    2978608 hda8 4617 54481 118214 39290 13 18 68 90 0 39340 39380

[root@bomb kernel-2.4]# df
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/hda2               520856    485580      8816  99% /
/dev/hda8              2931824   2417952    364944  87% /compile
/dev/hda5               256194      2578    240388   2% /tmp
/dev/hda6              2068620   1855952    107588  95% /usr
/dev/hda7               520824    460000     34368  94% /var
/dev/hda1              3142880   2935712    207168  94% /usr/dos

regards

Phil
=--=
Comment 6 Michael K. Johnson 2001-01-19 12:56:40 EST
OK, it's in and will be in the beta release.

Open a new bug report if there are bugs in the patch...  :-)

Thanks.
Comment 7 Chris Evans 2001-02-06 12:19:45 EST
Looks good in BETA3
Bad news though - the Linux 2.4.1 kernel rearranged a lot of code in this
area. I bet you'll need to put a bit more effort in!!

Note You need to log in before you can comment on or make changes to this bug.